//send comment and check fields
$(document).ready(function () {

		$("#commentsForm").submit(function (e) {
				//check if any field is empty
				e.preventDefault();
				var comment = $("#comment").val();
				if (comment.length == 0) {
					
					$("#comment").addClass("highlight");
					
				} else {
					$("#comment").removeClass("highlight");
				}
				var uname = $("#name").val();
				if (uname.length == '') {
					
					$("#name").addClass("highlight");
					
				} else {
					$("#name").removeClass("highlight");
				}
				if (comment.length == 0 || uname.length == '') {
					return false;
				}
				//save comment
				$.post( 'inc/postVisitor.php', $(this).serialize(),
					function (comment) {
						
						if (!comment.status) {
							$('#error').fadeIn('slow');
						}
					}, 'json');
				
				$(".commentAdded").fadeIn(500).delay(3000).fadeOut(500);
				$("#comment").attr("value", "");
				$('#comment').focus();
				return false;
				
			});
		
		$.ajax({
				url : events_path + "events/" + event_id + "_events.html",
				cache : false,
				success : function (html) {
					$("#eventComments").html(html);
					
				}
			});
		//check if there is any new comment and update event	
		function loadNewId() {

			$.ajax({
					url : events_path + "events/" + event_id + "_ids.html",
					cache : false,
					success : function (html) {
						var oldnum = $("#lastEventId").val();
						var thisnum = html;
						
						if (thisnum > oldnum) {
							//update comments
							$.ajax({
									url : events_path + "events/" + event_id + "_events.html",
									cache : false,
									success : function (html) {
										
										$("#eventComments").html(html); //update comments										
									}
								});
							//update score
							$.ajax({
									url : events_path + "inc/update-score.php?id=" + event_id,
									cache : false,
									success : function (score) {
										$("#scoreBox").html(score); //update score box
										
									}
								});
							//play sound if there is any new comment
							$("#sound").html('<embed src="'+ events_path + 'sound/sound.wav" width="0" height="0" autostart="true" loop="false" hidden="true"></embed>');
							$("#lastEventId").attr('value', thisnum);
							$('#eventComments').animate({
									scrollTop : $('#eventComments')[0].scrollHeight
								}, 'slow');
							//$("#sound").hide();	
						}
						
					}
					
				});
			
		}
		//Reload logs file every 2 seconds for new comments
		setInterval(loadNewId, 2000); 
		$('#eventComments').animate({
				scrollTop : $('#eventComments')[0].scrollHeight
			}, 'slow');
	});

//check if username used by another user
$("#name").blur(function () {
		if ($("#name").val() != '') {
			$("#msgbox").removeClass().addClass('messagebox').text('Checking...').fadeIn(1000);
			$.post("inc/user-check.php", {
					name : $(this).val(),
					id : event_id
				}, function (data) {
					
					if (data == 'no') {
						$("#msgbox").fadeTo(200, 0.1, function () {
								$(this).html('<img src="'+ events_path + 'images/common/stop.png" width="16" height="16" border="0"/> <font color="#cc0000">This username used by other user!</font>').addClass('messageboxerror').fadeTo(900, 1).delay(5000).fadeOut(1000);
							});
					} else {
						$("#msgbox").fadeTo(200, 0.1, function () {
								$(this).html('<img src="'+ events_path + 'images/common/accept.png" width="16" height="16" border="0" />').addClass('messageboxok').fadeTo(900, 1);
							});
					}
					
				});
		}
	});

//remove highlight from fields
$('#name').click(function () {
		
		$('#name').removeClass('highlight')
		
	});

$('#comment').click(function () {
		
		$('#comment').removeClass('highlight')
		
	});

//pop window share
function popShare(URL) {
	day = new Date();
	id = day.getTime();
	eval("page" + id + " = window.open(URL, '" + id + "', 'toolbar=0,scrollbars=0,location=0,statusbar=0,menubar=0,resizable=0,width=600,height=400,left = 340,top = 312');");
}

//pop window help
function popHelp(URL) {
	day = new Date();
	id = day.getTime();
	eval("page" + id + " = window.open(URL, '" + id + "', 'toolbar=0,scrollbars=0,location=0,statusbar=0,menubar=0,resizable=0,width=400,height=600,left = 300,top = 200');");
}

//textarea maxlength
function textCounter(field, countfield, maxlimit) {
	if (field.value.length > maxlimit) {
		field.value = field.value.substring(0, maxlimit);
		alert('Your comment cant be more 200 characters.');
		return false;
	} else {
		countfield.value = maxlimit - field.value.length;
	}
}
 
